WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Building guile 2.2.x fails  (Read 3225 times)

Offline jazzbiker

  • Hero Member
  • *****
  • Posts: 933
Re: Building guile 2.2.x fails
« Reply #15 on: July 27, 2023, 11:02:12 PM »
Also gmp.tcz changed from 6.1.2 (TC10) through 6.2.0 (TC11)  to 6.2.1 (TC12 and later).
Current (TC14) guile.tcz was build against earlier versions of libffi and gmp. I may try using guile-2.2 built under TC10 in the later TC versions.

Offline jazzbiker

  • Hero Member
  • *****
  • Posts: 933
Re: Building guile 2.2.x fails
« Reply #16 on: July 28, 2023, 02:06:20 AM »
The difference between building scripts for libffi 3.2.1 and 3.3 is "-flto" applied to 3.3 version.

Offline Juanito

  • Administrator
  • Hero Member
  • *****
  • Posts: 14572
Re: Building guile 2.2.x fails
« Reply #17 on: July 28, 2023, 03:18:05 AM »
It's a bit cryptic, but this:
Code: [Select]
edit configure
for termlib in ncursesw curses termcap terminfo termlib pdcurses ; do

..means search for the line:
Code: [Select]
for termlib in ncurses curses termcap terminfo termlib pdcurses ; do
..and change it to:
Code: [Select]
for termlib in ncursesw curses termcap terminfo termlib pdcurses ; do

Offline jazzbiker

  • Hero Member
  • *****
  • Posts: 933
Re: Building guile 2.2.x fails
« Reply #18 on: July 28, 2023, 07:11:39 AM »
In TC12 x86 all dependencies are the same as in TC13 x86. But in TC12 guile-3.0.9 is built while in TC13 not. Compilation completes in both cases but compiled with gcc11 (TC13) can not work properly and successfully accomplish the build.
« Last Edit: July 28, 2023, 07:14:13 AM by jazzbiker »

Offline GNUser

  • Hero Member
  • *****
  • Posts: 1369
Re: Building guile 2.2.x fails
« Reply #19 on: July 28, 2023, 09:06:20 AM »
Thank you, Juanito. I assumed it was a command meant to be run in the shell. Now I understand.

Offline GNUser

  • Hero Member
  • *****
  • Posts: 1369
Re: Building guile 2.2.x fails
« Reply #20 on: July 28, 2023, 09:08:57 AM »
In TC12 x86 all dependencies are the same as in TC13 x86. But in TC12 guile-3.0.9 is built while in TC13 not. Compilation completes in both cases but compiled with gcc11 (TC13) can not work properly and successfully accomplish the build.
Hi jazzbiker. TC14 x86_64 has gcc12, which seems to be similarly impacted as gcc11 (assuming gcc is the problem).

Offline GNUser

  • Hero Member
  • *****
  • Posts: 1369
Re: Building guile 2.2.x fails
« Reply #21 on: July 28, 2023, 09:28:58 AM »
Hi Juanito. I tried again on TCL14 x86_64, this time with a properly-edited configure script (now that I understand the edit--sorry for being dense) and latest guile source code (version 3.0.9). Still same error :(

Code: [Select]
$ make
...
  SNARF  net_db.doc
  SNARF  socket.doc
  SNARF  regex-posix.doc
  GEN      guile-procedures.texi
Pre-boot error; key: encoding-error, args: ("scm_to_stringn" "cannot convert narrow string to output locale" 38 #f #f)Aborted
make[3]: *** [Makefile:4656: guile-procedures.texi] Error 1
make[3]: Leaving directory '/mnt/data/Downloads/guile-3.0.9/libguile'
make[2]: *** [Makefile:2725: all] Error 2
make[2]: Leaving directory '/mnt/data/Downloads/guile-3.0.9/libguile'
make[1]: *** [Makefile:2152: all-recursive] Error 1
make[1]: Leaving directory '/mnt/data/Downloads/guile-3.0.9'
make: *** [Makefile:2038: all] Error 2
Command exited with non-zero status 2

Offline jazzbiker

  • Hero Member
  • *****
  • Posts: 933
Re: Building guile 2.2.x fails
« Reply #22 on: July 29, 2023, 05:34:05 AM »
I want to mention that the question in the topic name is now not actual for me concerning building dependency for gEDA-gaf 1.10.2. On geda-project.org site the sources that are proposed to download require guile >= 2.2. But authors in the git version rolled back the requirements for guile version back to >= 2.0.11, so I don't need another guile version to build gEDA-gaf 1.10.2.
Still the question remains why the latest GNU C compiler don't build GNU extension language properly :-) If it may help I can try some digging but now I don't know in what direction. Building new guile version with gdb support and running the failing file under the debugger? Not a piece of cake, I guess :-)

Offline mocore

  • Hero Member
  • *****
  • Posts: 509
  • ~.~
Re: Building guile 2.2.x fails
« Reply #23 on: August 09, 2023, 03:46:59 AM »
not shore if/how relevant my sum-what uneducated musings on this subject might be
however !...

 i dug up a few topics mentioning the string after the error's "Uncaught exception:
Throw to key encoding-error with args" mentioned  @ https://forum.tinycorelinux.net/index.php/topic,26345.msg169858.html#msg169858
&  "Pre-boot error; key: encoding-error, args:" @ https://forum.tinycorelinux.net/index.php/topic,26345.msg169876.html#msg169876

perhaps the below threads might help illuminate the exact source of the problem or at least rule out some factors ??  :-\


Chunked store references in compiled code break grafting (again)
https://issues.guix.gnu.org/30395

bug#11083: guile-2.0.5 bug report
https://bug-guile.gnu.narkive.com/S0anG9Gy/bug-11083-guile-2-0-5-bug-report

buggy GUILE ? (also, guile vs. guile30?)
https://forums.fedoraforum.org/showthread.php?329977-buggy-GUILE-(also-guile-vs-guile30-)&p=1867013

....
presumably greping the  archives @ https://savannah.gnu.org/mail/?group=guile 
or even posting to a/the relevent guile  list
where id presume those with more knowledge of guile building pitfalls
are likely to read / reply !

sayonara.